--This function checks if all required assets are present to make uDeadGames work and if they are not, they will be created

function udg_identify_or_create_essentials()
	if get(ig3d_object, "playerbox")==nil then
		local i=#gObjects+1
		gObjects[i]={}
		gObjects[i].cObj=make(ig3d_object,"Cubes/kiste.wtf")
		setObjectInfo(gObjects[i].cObj, IG3D_NAME, "playerbox")
	end
	
	if get(ig3d_object, "crosshair1")==nil then
		local i=#gObjects+1
		gObjects[i]={}
		gObjects[i].cObj=make(ig3d_object,"Reticule/crosshair.wtf")
		setObjectInfo(gObjects[i].cObj, IG3D_NAME, "crosshair1")
	end
	
	if get(ig3d_object, "selectionRect1")==nil then
		local i=#gObjects+1
		gObjects[i]={}
		gObjects[i].cObj=make(ig3d_object,"Misc/selectionRect.wtf")
		setObjectInfo(gObjects[i].cObj, IG3D_NAME, "selectionRect1")
	end
end